<?php 

require_once "../controladores/departamento.controlador.php";
require_once "../modelos/departamento.modelo.php";


class AjaxDepartamentos{

    public $idDepartamento;

    public function ajaxDepartamento(){

        $item = "idDepa";
        $valor = $this -> idDepartamento;

        $respuesta = ControladorDepartamento::ctrMostrarDepartamentos($item, $valor);

        echo json_encode($respuesta);
    }


}

if(isset($_POST["idDepartamento"])){
    
    $codigoDepartamento = new AjaxDepartamentos();
    $codigoDepartamento -> idDepartamento = $_POST["idDepartamento"];
    $codigoDepartamento-> ajaxDepartamento();
}